# 3darcstudiotreeloader
# creates shared memu for 3darcstudio plugins
require 'sketchup.rb'
require 'extensions.rb'

module M3darcstudioextensions
	if !file_loaded?('3darcstudiotree/3darcstudiotreemain')
		Sketchup.load('3darcstudiotree/3darcstudiotreemain')
	end
	if !file_loaded?('3darcstudio_menus_loader')
		# shared menu for all plugins from same author
		@@m3darcstudio_menu = UI.menu("Plugins").add_submenu("3DArcStudio")
	end
	file_loaded('3darcstudio_menus_loader')
	if !file_loaded?(__FILE__)
		M3darcstudioextensions::M3darcstudiotree.f3das_addsubmenus(@@m3darcstudio_menu)
	end
	file_loaded(__FILE__)
end

